Download it now!
Bug 99299 - OpenGL : Errors with Gallium Radeon Driver and flickering
Summary: OpenGL : Errors with Gallium Radeon Driver and flickering
Status: RESOLVED NOTOURBUG
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.1.2.2 release
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL: https://bugs.freedesktop.org/show_bug...
Whiteboard:
Keywords:
Depends on:
Blocks: OpenGL-Linux
  Show dependency treegraph
 
Reported: 2016-04-14 15:04 UTC by Rpnpif
Modified: 2018-05-03 08:57 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Presentation with flickerings (5.37 MB, application/vnd.oasis.opendocument.presentation)
2017-11-03 10:45 UTC, Rpnpif
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rpnpif 2016-04-14 15:04:33 UTC
Opening this file 
https://dl.dropboxusercontent.com/u/23365262/impress%205.0.4.odp
do flickering and following errors. OpenGL is enabled. No issue with OpenGL disabled.

EE ../../../../../../src/gallium/drivers/r600/r600_shader.c:2741 r600_shader_from_tgsi - GPR limit exceeded - shader requires 198 registers
EE ../../../../../../src/gallium/drivers/r600/r600_shader.c:161 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../../src/gallium/drivers/r600/r600_state_common.c:815 r600_shader_select - Failed to build shader variant (type=1) -12
EE ../../../../../../src/gallium/drivers/r600/r600_shader.c:2741 r600_shader_from_tgsi - GPR limit exceeded - shader requires 198 registers
EE ../../../../../../src/gallium/drivers/r600/r600_shader.c:161 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../../src/gallium/drivers/r600/r600_state_common.c:815 r600_shader_select - Failed to build shader variant (type=1) -12

Closing LO, a fatal exception is seen.

Fatal exception: Signal 11
Stack:
/opt/libreoffice5.1/program/libuno_sal.so.3(+0x3be20)[0x7f3acd4f2e20]
/opt/libreoffice5.1/program/libuno_sal.so.3(+0x3c1b3)[0x7f3acd4f31b3]
/opt/libreoffice5.1/program/libuno_sal.so.3(+0x3c2e8)[0x7f3acd4f32e8]
/lib/x86_64-linux-gnu/libc.so.6(+0x350e0)[0x7f3acd13c0e0]
/opt/libreoffice5.1/program/libmergedlo.so(_ZN12OutputDevice11GetGraphicsEv+0x0)[0x7f3ad007f7c0]
/opt/libreoffice5.1/program/libmergedlo.so(_ZN13OpenGLContext13getVCLContextEb+0x9b)[0x7f3acff2fa3b]
/opt/libreoffice5.1/program/libmergedlo.so(_ZN13OpenGLContext14makeVCLCurrentEv+0x22)[0x7f3acff2fab2]
/opt/libreoffice5.1/program/libmergedlo.so(+0x281b17b)[0x7f3acff3217b]
/opt/libreoffice5.1/program/libmergedlo.so(+0x2815bfa)[0x7f3acff2cbfa]
/opt/libreoffice5.1/program/libmergedlo.so(+0x2815cde)[0x7f3acff2ccde]
/opt/libreoffice5.1/program/libmergedlo.so(_ZN13OpenGLTextureaSERKS_+0xd9)[0x7f3acff2db79]
/opt/libreoffice5.1/program/libmergedlo.so(_ZN15OpenGLSalBitmap7DestroyEv+0xbc)[0x7f3acff2749c]
/opt/libreoffice5.1/program/libmergedlo.so(_ZN15OpenGLSalBitmapD1Ev+0x1c)[0x7f3acff2757c]
/opt/libreoffice5.1/program/libmergedlo.so(_ZN15OpenGLSalBitmapD0Ev+0x9)[0x7f3acff27649]
/opt/libreoffice5.1/program/libmergedlo.so(+0x29aee38)[0x7f3ad00c5e38]
/opt/libreoffice5.1/program/libmergedlo.so(_ZN6BitmapD1Ev+0x17)[0x7f3ad00c5e67]
/opt/libreoffice5.1/program/libmergedlo.so(_ZN8BitmapExD1Ev+0xd)[0x7f3ad00cdf9d]
/opt/libreoffice5.1/program/libmergedlo.so(+0x2aa67ad)[0x7f3ad01bd7ad]
/opt/libreoffice5.1/program/libmergedlo.so(+0x2aa84f0)[0x7f3ad01bf4f0]
/opt/libreoffice5.1/program/libmergedlo.so(_ZN9ImageListD1Ev+0x18)[0x7f3ad01bd858]
/opt/libreoffice5.1/program/libmergedlo.so(_ZN3vcl20CommandImageResolverD1Ev+0x40)[0x7f3ad01bbf00]
/opt/libreoffice5.1/program/libmergedlo.so(+0x159e929)[0x7f3acecb5929]
/opt/libreoffice5.1/program/libmergedlo.so(+0x15982b0)[0x7f3acecaf2b0]
/opt/libreoffice5.1/program/libmergedlo.so(+0x159f90b)[0x7f3acecb690b]
/opt/libreoffice5.1/program/libmergedlo.so(+0x159f959)[0x7f3acecb6959]
/opt/libreoffice5.1/program/libmergedlo.so(+0x15a4d25)[0x7f3acecbbd25]
/opt/libreoffice5.1/program/libmergedlo.so(+0x159ff68)[0x7f3acecb6f68]
/opt/libreoffice5.1/program/libuno_cppuhelpergcc3.so.3(_ZN4cppu27WeakComponentImplHelperBase7disposeEv+0x77)[0x7f3ac75ef007]
/opt/libreoffice5.1/program/libuno_cppuhelpergcc3.so.3(+0x2e5f5)[0x7f3ac75c55f5]
/opt/libreoffice5.1/program/libuno_cppuhelpergcc3.so.3(_ZN4cppu27WeakComponentImplHelperBase7disposeEv+0x77)[0x7f3ac75ef007]
/opt/libreoffice5.1/program/libmergedlo.so(+0x1bc4f22)[0x7f3acf2dbf22]
/opt/libreoffice5.1/program/libmergedlo.so(_Z9DeInitVCLv+0x459)[0x7f3ad01efda9]
/opt/libreoffice5.1/program/libmergedlo.so(+0x2ad93fa)[0x7f3ad01f03fa]
/opt/libreoffice5.1/program/libmergedlo.so(_Z6SVMainv+0x22)[0x7f3ad01f0462]
/opt/libreoffice5.1/program/libmergedlo.so(soffice_main+0xa2)[0x7f3acf3061b2]
/opt/libreoffice5.1/program/soffice.bin[0x40075b]
/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf5)[0x7f3acd128b45]
/opt/libreoffice5.1/program/soffice.bin[0x400791]

But this last exception is fixed in LOdev 5.1.3 from today nightly repository.
The driver errors are still here with 5.1.3.

Debian Jessie with backports.
Comment 1 Rpnpif 2016-04-14 15:12:22 UTC
More info :
$glxinfo | grep "OpenGL version"
OpenGL version string: 3.0 Mesa 11.1.2
Comment 2 Michael Meeks 2016-04-15 10:56:48 UTC
Yep; disabled on Linux by default for a reason =) will queue in the Linux GL bug tracker; thanks !
Comment 3 Rpnpif 2016-04-29 15:20:22 UTC
MS Windows is also affected at least W10.
Comment 4 Rpnpif 2016-05-14 10:09:57 UTC
No more issue when closing LO, but same issue when it is opening.
version: 5.1.3.2
Build ID: 644e4637d1d8544fd9f56425bd6cec110e49301b

OpenGL version string: 3.0 Mesa 11.1.3
Comment 5 Carlos 2017-03-29 19:31:16 UTC
Please attach a sample document here (not dropbox), as this makes it easier for us to verify the bug. 
(Note that the attachment will be public, remove any sensitive information before attaching it.
See the QA FAQ Wiki for further detail.)
Comment 6 Xisco Faulí 2017-10-31 17:28:37 UTC
(In reply to Carlos from comment #5)
> Please attach a sample document here (not dropbox), as this makes it easier
> for us to verify the bug. 
> (Note that the attachment will be public, remove any sensitive information
> before attaching it.
> See the QA FAQ Wiki for further detail.)

Please attach a sample document, as this makes it easier for us to verify the bug. 
I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' once the requested document is provided.
(Please note that the attachment will be public, remove any sensitive information before attaching it. 
See https://wiki.documentfoundation.org/QA/FAQ#How_can_I_eliminate_confidential_data_from_a_sample_document.3F for help on how to do so.)
Comment 7 Rpnpif 2017-11-03 10:42:03 UTC
(In reply to Xisco Faulí from comment #6)

Hi,
I am sorry but I lost the document from Dropbox. It was not mine.

But I have another that has the same issues with the same . See the 3 or 5 slides.

Extract :
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:3663 r600_shader_from_tgsi - GPR limit exceeded - shader requires 197 registers
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:799 r600_shader_select - Failed to build shader variant (type=1) -12
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:3663 r600_shader_from_tgsi - GPR limit exceeded - shader requires 197 registers
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:799 r600_shader_select - Failed to build shader variant (type=1) -12
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:3663 r600_shader_from_tgsi - GPR limit exceeded - shader requires 197 registers
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:799 r600_shader_select - Failed to build shader variant (type=1) -12

I will upload in some minutes.
Regards.
Comment 8 Rpnpif 2017-11-03 10:45:16 UTC
Created attachment 137499 [details]
Presentation with flickerings
Comment 9 mirh 2018-03-26 13:08:35 UTC
https://bugs.freedesktop.org/show_bug.cgi?id=99349
This is a driver problem
Comment 10 Xisco Faulí 2018-05-03 08:57:29 UTC
(In reply to mirh from comment #9)
> https://bugs.freedesktop.org/show_bug.cgi?id=99349
> This is a driver problem

Thanks for letting us know.
Closing as RESOLVED NOTOURBUG